# BRANCHES:
# - HEAD - stable version
# - DEVEL - development version
# - WEEKLY - weekly development version
# - NEXT - opera next
#
# NOTE: to avoid creating unreadable/unmaintainable spec:
# - don't put static version here, create STATIC branch for that for example
# - don't create useless bconds that for example limit SourceX: to current arch only
#

Summary:	Opera browser
Summary(hu.UTF-8):	A világ leggyorsabb webböngészője
Summary(pl.UTF-8):	Najszybsza przeglądarka WWW na świecie
Name:		opera
Version:	32.0.1948.69
Release:	1
Epoch:		2
License:	Distributable
Group:		X11/Applications/Networking
Source10:	ftp://ftp.opera.com/pub/opera/desktop/%{version}/linux/%{name}-stable_%{version}_amd64.deb
# Source10-md5:	a13d8b43a74d677ed2b06d09a6e17921
Source1:	%{name}.sh
Source2:	find-lang.sh
Patch1:		%{name}-desktop.patch
Patch2:		pepper_flash_config.patch
URL:		http://www.opera.com/
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.356
BuildRequires:	sed >= 4.0
BuildRequires:	xz
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	browser-plugins >= 2.0
Requires:	desktop-file-utils
Provides:	wwwbrowser
Obsoletes:	opera-i18n
ExclusiveArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		find_lang	sh find-lang.sh %{buildroot}

%define		_enable_debug_packages	0
%define		no_install_post_strip	1

%description
Opera is a fast, secure and user-friendly web browser. It includes web
developer tools, news aggregation, and the ability to compress data
via Opera Turbo on congested networks.

%description -l hu.UTF-8
Opera a világ leggyorsabb webböngészője. A manapság elterjedt
HTML-kiterjesztések túlnyomó többségét támogatja. És elég stabili is.
Ez a verzió a Qt megosztott verziójához linkelődik.

%description -l pl.UTF-8
Opera jest najszybszą przeglądarką WWW na świecie. Obsługuje większość
dzisiejszych rozszerzeń HTML-a. Dodatkowo jest w miarę stabilna. Ta
wersja jest skonsolidowana dynamicznie z Qt.

%package l10n
Summary:	%{name} language packages
Group:		I18n
Requires:	%{name} = %{epoch}:%{version}-%{release}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description l10n
This package contains language packages for 56 languages:

af, az, be, bg, bn, ca, cs, da, de, el, en-GB, es-419, es, fi, fil,
fr-CA, fr, fy, gd, he, hi, hr, hu, id, it, ja, kk, ko, lt, lv, me, mk,
ms, nb, nl, nn, pa, pl, pt-BR, pt-PT, ro, ru, sk, sr, sv, sw, ta, te,
th, tr, uk, uz, vi, zh-CN, zh-TW, zu.

%prep
%setup -qcT
%ifarch %{x8664}
SOURCE=%{S:10}
%endif

ar x $SOURCE
tar xf control.tar.gz && rm control.tar.gz
tar xf data.tar.xz && rm data.tar.xz

version=$(awk '/Version:/{print $2}' control)
test $version = %{version}

mv usr/lib/*/%{name}/* .
mv usr/share/icons .
mv usr/share/pixmaps/%{name}.xpm .
mv usr/share/applications/%{name}.desktop .
mv usr/share/doc/opera-stable/* .

%patch1 -p1
%patch2 -p1

%{__sed} -e 's#/usr/lib/opera#%{_libdir}/opera#g' %{_sourcedir}/%{name}.sh > %{name}.sh
%{__sed} -e 's,@localedir@,%{_datadir}/%{name}/localization,' %{_sourcedir}/find-lang.sh > find-lang.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_libdir}/%{name}/plugins,%{_datadir}/%{name}} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_iconsdir},%{_desktopdir}}

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins -b <<'EOF'
# opera does not use for .xpt files
*.xpt
EOF

cp -a localization resources $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -p *.pak *.bin *.dat $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a lib $RPM_BUILD_ROOT%{_libdir}/%{name}
ln -s %{_datadir}/%{name}/localization $RPM_BUILD_ROOT%{_libdir}/%{name}/localization
ln -s %{_datadir}/%{name}/resources $RPM_BUILD_ROOT%{_libdir}/%{name}/resources
install -p %{name} $RPM_BUILD_ROOT%{_libdir}/%{name}
install -p %{name}_sandbox $RPM_BUILD_ROOT%{_libdir}/%{name}
install -p %{name}_crashreporter $RPM_BUILD_ROOT%{_libdir}/%{name}
install -p %{name}_autoupdate $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -p %{name}_autoupdate.* $RPM_BUILD_ROOT%{_libdir}/%{name}
install -p %{name}.sh $RPM_BUILD_ROOT%{_bindir}/%{name}
cp -p %{name}.desktop $RPM_BUILD_ROOT%{_desktopdir}
cp -a icons/* $RPM_BUILD_ROOT%{_iconsdir}

# find locales
%find_lang %{name}.lang
# always package en-US
%{__sed} -i -e '/en-US.pak/d' %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_icon_cache hicolor
	%update_desktop_database
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc copyright
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*.png

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/resources
%{_datadir}/%{name}/resources/*.ico
%{_datadir}/%{name}/resources/*.json
%{_datadir}/%{name}/resources/dictionaries.xml
%{_datadir}/%{name}/resources/inspector
%dir %{_datadir}/%{name}/localization
%{_datadir}/%{name}/localization/en-US.pak

%dir %{_libdir}/%{name}
%{_libdir}/%{name}/icudtl.dat
%{_libdir}/%{name}/natives_blob.bin
%{_libdir}/%{name}/snapshot_blob.bin
%{_libdir}/%{name}/*.pak
%{_libdir}/%{name}/localization
%{_libdir}/%{name}/resources
%dir %{_libdir}/%{name}/lib
%attr(755,root,root) %{_libdir}/%{name}/lib/libffmpeg.so.*
%attr(755,root,root) %{_libdir}/%{name}/lib/libmalloc_wrapper.so
%attr(755,root,root) %{_libdir}/%{name}/lib/libmojo_test_support.so
%dir %{_libdir}/%{name}/plugins

%attr(755,root,root) %{_libdir}/%{name}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/%{name}_crashreporter

%attr(755,root,root) %{_libdir}/%{name}/%{name}_autoupdate
%{_libdir}/%{name}/%{name}_autoupdate.licenses
%{_libdir}/%{name}/%{name}_autoupdate.version

# These unique permissions are intentional and necessary for the sandboxing
%attr(4555,root,root) %{_libdir}/%{name}/%{name}_sandbox

%files l10n -f %{name}.lang
%defattr(644,root,root,755)
%changelog
* Sun Nov 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opera.git;a=log;h=master

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 3bce1c0
- up to 32.0.1948.69

* Mon Sep 14 2015 Elan Ruusamäe <glen@delfi.ee> abaeab9
- fix epoch

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 9325067
- rel 1

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> e5c362d
- pepper_flash: try pld paths first

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 70d595f
- subpackage for language packs

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 910a927
- update description

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> d0b669b
- use find lang to package locale files

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 1224e0a
- drop obsolete files

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> aec75ef
- merge opera.desktop translations into opera-desktop.patch

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 98624c9
- patch location of pld flash plugin

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 504a2c0
- install autoupdater and crashreporter

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> d73e0ea
- update opera wrapper to support profile migration

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> 8524db7
- install using opera wrapper

* Sun Sep 06 2015 Elan Ruusamäe <glen@delfi.ee> ecc1925
- update to 31.0.1889.174
- based on chromium codebase now, a Blink based layouting engine
- x86-64 build available only now

* Mon Jul 08 2013 Kacper Kornet <draenog@pld-linux.org> 0ddf947
- updated to 12.16

* Fri May 24 2013 Elan Ruusamäe <glen@delfi.ee> d7742fc
- improve personaldir check

* Thu May 23 2013 Elan Ruusamäe <glen@delfi.ee> 26dfd54
- rel 4

* Thu May 23 2013 Elan Ruusamäe <glen@delfi.ee> 100d59f
- use ~/.config/opera as opera dir in new installations

* Thu May 23 2013 Elan Ruusamäe <glen@delfi.ee> c0208be
- convert wrapper.patch to opera.sh

* Sat Apr 06 2013 Kacper Kornet <draenog@pld-linux.org> 02bb222
- up to 12.15

